Subject: RE : [cygwin]bash question, perhaps problem
From: "bruno patin" <[email-masked]>
To: "'Jon LaBadie'" <[email-masked]>
Cc: "Cygwin" <[email-masked]>
Date: Tue, 25 Jun 2002 23:22:16 +0100

-----Message d'origine-----
De : Jon LaBadie [mailto:[email-masked]] 
Envoyé : mardi 25 juin 2002 20:08
À : bruno patin
Objet : Re: [cygwin]bash question, perhaps problem

On Tue, Jun 25, 2002 at 08:58:31PM +0100, bruno patin wrote:
> 
> if you consider the simple script
> 
> ---------------------
> #!/bin/bash
> echo $0
> -----------------------
> 
> the line do give normally the exact text you use to execute the 
> command (see the man pages of bash). but, on cygwin, we have, when 
> executed from a distant directory by a relative call, the absolute 
> name. So we can't use this name to return from the local directory to 
> where this command was launched.
> 
> is it a known bug, is it nominal ?

While I feel it is a bug (btw, same thing happens with ksh93 I added), I
fail to see how it affects your cd'ing.

In fact, we use the autoconf/automake tools and we use the a variable
that is given to us by the position of the command as we build the
product in another place. This permit usq to know where is the root of
the package. With this bug the first argument gives an absolute path so
the configure script writes false path.

Thanks for the help.

Bruno patin

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/